Bug 245265 - sets TERM to 'dumb'
Summary: sets TERM to 'dumb'
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Hosted Projects
Classification: Retired
Component: mock   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 00:25 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
2 users (show)

Fixed In Version: 0.9.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 21:00:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-06-22 00:25:48 UTC
Description of problem:

When using 'mock shell', $TERM is set to 'dumb'; it probably should
be inherited from whatever it's set to in the invoking shell.

Version-Release number of selected component (if applicable):

mock-0.7.1-1.fc7

Comment 1 Clark Williams 2008-03-07 21:00:33 UTC
I believe this was a consequence of using a setuid launcher. Now that we're
using pam and consolehelper, it should inherit (does on my rawhide box,
mock-0.9.7-1)


Note You need to log in before you can comment on or make changes to this bug.